91
Validation results

Ezy Pro

Ezy Pro

WordPress 5.8.1 theme
91
  • THEME TYPEWordPress theme 5.8.1
  • FILE NAMEwpt-ezy-pro-1.0.4.zip
  • FILE SIZE908527 bytes
  • MD5d02fc50420eed29e0a18083b35fbc219
  • SHA1a9708e32cd3fbe0adf4647877974a71818b7e027
  • LICENSEGNU GPL 2
  • FILES INCLUDEDCSS, PHP, Bitmap images
  • THEME URIhttps://www.canyonthemes.com/downloads/ezy-pro
  • VERSION1.0.4
  • AUTHOR URI
  • TAGStwo-columns, right-sidebar, custom-background, custom-colors, custom-menu, featured-images, sticky-post, theme-options, threaded-comments, translation-ready, blog
  • CREATION DATE2021-09-20
  • LAST FILE UPDATE2021-09-20
  • LAST VALIDATION2021-09-20 14:45
This theme seems to be proprietary. Themecheck doesn't distribute commercial themes.
Warning
  1. Text domain : Incorrect use of translation functions.Wrong installation directory for the theme name. The directory name must match the slug of the theme. This theme's correct slug and text-domain is ezy-pro.
  2. Text domain : Incorrect use of translation functions.Found a translation function that is missing a text-domain. Function esc_attr_e, with the arguments 'deactivate-license' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function esc_attr_e, with the arguments 'activate-license' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'Error' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'An error occurred, please try again.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'Your license key expired on %s.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'Your license key has been disabled.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'Invalid license.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'Your license is not active for this URL.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'This appears to be an invalid license key for %s.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'Your license key has reached its activation limit.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'An error occurred, please try again.' in file theme-updater-admin.php.Found a translation function that is missing a text-domain. Function __, with the arguments 'An error occurred, please try again.' in file theme-updater-admin.php.
  3. Custom elements : Presence of custom headerNo reference to custom header was found in the theme.
  4. Editor style : Presence of editor styleNo reference to add_editor_style() was found in the theme. It is recommended that the theme implements editor styling, so as to make the editor content match the resulting post output in the theme, for a better user experience.
  5. I18N implementation : Proper use of _e(Possible variable $strings found in translation function in theme-updater-admin.php. Translation function calls should not contain PHP variables. Possible variable $strings found in translation function in theme-updater-admin.php. Translation function calls should not contain PHP variables.
  6. I18N implementation : Proper use of esc_attr_e(Possible variable $strings found in translation function in theme-updater-admin.php. Translation function calls should not contain PHP variables. Possible variable $strings found in translation function in theme-updater-admin.php. Translation function calls should not contain PHP variables.
  7. CSS files : Presence of .alignleft class.alignleft css class is needed in theme css.
  8. CSS files : Presence of .alignright class.alignright css class is needed in theme css.
  9. CSS files : Presence of .aligncenter class.aligncenter css class is needed in theme css.
Tip-off
  1. Static links : Presence of hard-coded linksPossible hard-coded links were found in the file footer.php.147: <?php printf( esc_html__( 'Theme: %1$s by %2$s.', 'ezy' ), 'Ezy', '<a href='https://www.canyonthemes.com' target='_blank'>Canyon Themes</a>' ); ?>
  2. Optional files : Presence of rtl stylesheet rtl.cssThis theme does not contain optional file rtl.php.
  3. Optional files : Presence of front page template file front-page.phpThis theme does not contain optional file front-page.php.
  4. Optional files : Presence of home template file home.phpThis theme does not contain optional file home.php.
  5. Optional files : Presence of category template file category.phpThis theme does not contain optional file category.php.
  6. Optional files : Presence of tag template file tag.phpThis theme does not contain optional file tag.php.
  7. Optional files : Presence of term template file taxonomy.phpThis theme does not contain optional file taxonomy.php.
  8. Optional files : Presence of author template file author.phpThis theme does not contain optional file author.php.
  9. Optional files : Presence of date/time template file date.phpThis theme does not contain optional file date.php.
  10. Optional files : Presence of attachment template file attachment.phpThis theme does not contain optional file attachment.php.
  11. Optional files : Presence of image template file image.phpThis theme does not contain optional file image.php.
  12. Use of includes : Use of include or requireThe theme appears to use include or require : theme-updater.php 10: include( dirname( __FILE__ ) . '/theme-updater-admin.php' ); If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.The theme appears to use include or require : theme-updater-admin.php 88: include( dirname( __FILE__ ) . '/theme-updater-class.php' ); If these are being used to include separate sections of a template from independent files, then get_template_part() should be used instead. Otherwise, use include_once or require_once instead.
Other checked themes